/*
 * xrick/src/e_bonus.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "global.h"
#include "ents.h"
#include "e_bonus.h"

#include "e_rick.h"
#include "maps.h"


/*
 * Entity action
 *
 * ASM 242C
 */
void
e_bonus_action(U8 e)
{
  if (e_rick_boxtest(e)) {
    ent_ents[e].n = 0;
    g_score += 500;
    /* FIXME sound */
    map_marks[ent_ents[e].mark].ent |= MAP_MARK_NACT;
  }
}


/* eof */


