/*
 * xrick/include/kbd.h
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#ifndef _KBD_H
#define _KBD_H

#define K_UP    0x08
#define K_DOWN  0x04
#define K_LEFT  0x02
#define K_RIGHT 0x01
#define K_PAUSE 0x80
#define K_END   0x40
#define K_XTRA  0x20
#define K_FIRE  0x10

extern U8 k_status;
extern U8 k_last;

#endif

/* eof */


