/*
 * xrick/src/parms.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "stdlib.h"  /* atoi */

#include "parms.h"

/*
 * public vars
 */
int p_period = 0;
int p_map = 0;
int p_submap = 0;
int p_frow = 0;
/*
int p_nodga = 0;
int p_noshm = 0;
int p_is24 = 0;
int p_is32 = 0;
*/


/*
 * p_init
 *
 */
int
p_init(int argc, char **argv)
{
  int i;

  for (i = 0; i < argc; i++) {
    if (!strcmp(argv[i], "-p")) {
      if (++i < argc)
	p_period = atoi(argv[i]);
      else
	return -1;
    }
    if (!strcmp(argv[i], "-m")) {
      if (++i < argc)
	p_map = atoi(argv[i]);
      else
	return -1;
    }
    if (!strcmp(argv[i], "-s")) {
      if (++i < argc)
	p_submap = atoi(argv[i]);
      else
	return -1;
    }
    if (!strcmp(argv[i], "-r")) {
      if (++i < argc)
	p_frow = atoi(argv[i]);
      else
	return -1;
    }
/*
    if (!strcmp(argv[i], "-nodga")) {
      p_nodga = 1;
    }
    if (!strcmp(argv[i], "-noshm")) {
      p_noshm = 1;
    }
    if (!strcmp(argv[i], "-is24")) {
      p_is24 = 1;
    }
    if (!strcmp(argv[i], "-is32")) {
      p_is32 = 1;
    }
*/
  }

  return 0;
}


/* eof */

