/*
 * xrick/src/sound.c
 *
 * This source code file is part of the xrick distribution, and as such is
 * copyrighted. Please read the README file in the root directory of the
 * distribution for information about copyrights, trademarks, license,
 * disclaimers, etc.
 */

#include "system.h"
#include "sound.h"

/*
 * snd_init
 */
void
snd_init(void)
{
#ifdef DEBUG
  sys_printf("xrick/sound: start\n");
  sys_printf("xrick/sound: ready\n");
#endif
}


/*
 * snd_shutdown
 */
void
snd_shutdown(void)
{
#ifdef DEBUG
  sys_printf("xrick/sound: shutdown\n");
  sys_printf("xrick/sound: down\n");
#endif
}


/*
 * snd_something
 *
 */
void
snd_something(void)
{
  /*sys_printf("xrick/sound: something!\n");*/
}


/*
 * snd_off
 *
 */
void
snd_off(void)
{
  /*sys_printf("xrick/sound: off!\n");*/
}

/* eof */
